Bug 90461 - ps output show `size of gfx mem` increase in mem when dri is enabled
ps output show `size of gfx mem` increase in mem when dri is enabled
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 12:28 EDT by Per Winkvist
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-11 03:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Winkvist 2003-05-08 12:28:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I enable dri the output shown by ps for X programs get their memory
increased by the size of the graphic card. I expect this to be normal for the X
pid but not for other programs:

It's not important, I was only curious on why this occurs and if it has any
other implication...


 Dri enabled
=============
USER       PID %CPU %MEM   VSZ  RSS    COMMAND
root      1236  1.3  5.2 93212 13456    [X]
perra     1306  0.3  6.3 101404 16332   kdeinit: konsole 
perra     1309  0.5  8.7 106912 22212   kdeinit: konquero
perra     1310  0.0  0.5  4596 1476     /bin/bash
perra     1374  0.1  4.9 97616 12544    kalarmd --login
perra     1396  0.0  3.7 20428 9452     kdeinit: kio_file
perra     1414  0.0  3.7 19876 9524     kdeinit: kio_http
perra     1424 63.6  1.2 79652 3236     glxgears


 Dri disabled
==============
USER       PID %CPU %MEM   VSZ  RSS  COMMAND
root      1474  6.8  4.8 82872 12456  [X]
perra     1538  0.5  5.7 26584 14804  kdeinit: konsole 
perra     1540  1.6  8.1 32544 20708  kdeinit: konquero
perra     1542  0.0  0.5  4588 1452   /bin/bash
perra     1563  0.2  4.3 22796 11016  kalarmd --login
perra     1641  0.0  3.7 20432 9448   kdeinit: kio_file
perra     1642  0.0  3.8 20104 9888   kdeinit: kio_http
perra     1653  3.5  0.4  3140 1148   glxgears




Version-Release number of selected component (if applicable):
XFree86-4.3.0-6.0jj (and XFree86-4.3.0-2)

How reproducible:
Always

Steps to Reproduce:
Hmm...

Additional info:

Bus  1, device   0, function  0:
    VGA compatible controller: ATI Technologies Inc Radeon 7500 QW (rev 0).
      IRQ 11.
      Master Capable.  Latency=32.  Min Gnt=8.
      Prefetchable 32 bit memory at 0xd0000000 [0xd7ffffff].
      I/O at 0xc800 [0xc8ff].
      Non-prefetchable 32 bit memory at 0xdfef0000 [0xdfefffff].

Note You need to log in before you can comment on or make changes to this bug.